> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Request Withdrawal



## OpenAPI

````yaml /openapi.json post /customers/me/withdraw
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /customers/me/withdraw:
    post:
      tags:
        - Customers
      summary: Customer Request Withdrawal
      operationId: customer_request_withdrawal_customers_me_withdraw_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerWithdrawRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerWithdrawResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CustomerWithdrawRequest:
      properties:
        amount:
          anyOf:
            - type: number
              maximum: 10000000
              minimum: 0.01
            - type: string
          title: Amount
          description: Positive withdrawal amount in account currency
        payment_data:
          anyOf:
            - type: object
            - type: 'null'
          title: Payment Data
          description: Payment method details (bank, card, etc.)
        comment:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Comment
      type: object
      required:
        - amount
      title: CustomerWithdrawRequest
      description: Customer-initiated withdrawal request.
    CustomerWithdrawResponse:
      properties:
        transaction_id:
          type: string
          format: uuid
          title: Transaction Id
        amount:
          type: string
          title: Amount
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        max_withdrawable:
          type: string
          title: Max Withdrawable
        message:
          type: string
          title: Message
          default: Withdrawal request submitted for approval
      type: object
      required:
        - transaction_id
        - amount
        - currency
        - status
        - created_at
        - max_withdrawable
      title: CustomerWithdrawResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````